For the complete documentation index, see llms.txt. This page is also available as Markdown.

Email Verify

The Email Verify API lets you validate email addresses in real time or in bulk before sending, so you can reduce bounces, protect sender reputation, and keep your contact database clean across all your GTM workflows.

Instant Verify

post

Instant verification API can be seamlessly integrated into your signup or onboarding process with just a single request. Use this API to verify Email Address without going through queue

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
emailstringRequiredExample: valid@example.com
timeoutinteger · min: 1000 · max: 180000Optional

Request wait time (in milliseconds), Maximum allowed wait time should not exceed 180,000 milliseconds

Default: 130000Example: 10000
Responses
200

OK

application/json
or
post/email_verify/instant
POST /v2/email_verify/instant HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "email": "valid@example.com",
  "timeout": 10000
}
{
  "status": "success",
  "data": {
    "email_address": "valid@example.com",
    "safe_to_send": "yes",
    "status": "valid",
    "verified_on": "2019-05-02T18:12:53+05:30",
    "time_taken": 432,
    "sub_status": {
      "code": 200,
      "desc": "Success"
    },
    "detail_info": {
      "mx_record": "mx.example.com",
      "smtp_provider": "example",
      "account": "valid",
      "domain": "example.com"
    },
    "disposable": "no",
    "free": "no",
    "role": "yes",
    "gibberish": "no",
    "suggested_email_address": "text",
    "profile": null,
    "bounce_type": "text"
  }
}

Bulk Verify

post

Use bulk verify to upload your contact lists, request will be put on queue and at any point you can check the status of your request using Bulk Verify Progress Status API

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
filestring · base64Required
optimizestringOptional

Can be either 'highest_accuracy' or 'fastest_turnaround'

Default: highest_accuracyExample: fastest_turnaround
ignore_duplicate_filestringOptional

Whether to allow file with the same name and size that match with your recent upload

Default: falseExample: true
Responses
200

OK

application/json
or
or
post/email_verify/bulk
POST /v2/email_verify/bulk HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 76

{
  "file": "text",
  "optimize": "fastest_turnaround",
  "ignore_duplicate_file": true
}
{
  "status": "success",
  "data": {
    "list_id": "5c60eb454506101c9d2f7b17"
  }
}

Bulk Verify Progress Status

get

To know the overall progress status of bulk verify request

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
list_idstringRequired

Pass the value of bulk verify list_id property from response object

Responses
200

OK

application/json
or
or
get/email_verify/bulk/progress_status
GET /v2/email_verify/bulk/progress_status?list_id=text HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "status": "success",
  "data": {
    "progress_status": "completed",
    "percentile": 100
  }
}

Bulk Verify Result Download

post

Bulk verify result download

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
list_idstringRequired

Pass the value of bulk list_id property from response object

Example: 5d076c8e3b53f9b0f3cf6abb
Responses
200

OK

application/json
or
or
post/download/result
POST /v2/download/result HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "list_id": "5d076c8e3b53f9b0f3cf6abb"
}
{
  "status": "success",
  "data": {
    "url": "https://clearout.s3.ap-south-1.amazonaws.com/5c6810bb82e2fc4ab21ce233/5c681d56cc56176d10d78f31/results/test3_clearout_results.csv"
  }
}

Bulk Verify Result Removal

post

Bulk verify result removal

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
list_idstringRequired

Pass the value of bulk list_id property from response object

Example: 5d076c8e3b53f9b0f3cf6abb
ignore_resultbooleanOptional

Set this value to true when download request is in progress, otherwise list removal will be denied

Default: falseExample: true
Responses
200

OK

application/json
or
post/email_verify/list/remove
POST /v2/email_verify/list/remove HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "list_id": "5d076c8e3b53f9b0f3cf6abb",
  "ignore_result": true
}
{
  "status": "success",
  "data": {
    "name": "campaign_emailcontacts.xlsx",
    "source": "upload",
    "created_on": "2022-05-16 10:41:30.427Z"
  }
}

Bulk Verify Cancel

post

Cancel running bulk verify contact list

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
list_idstringRequired

Pass the value of bulk list_id property from response object

Example: 5d076c8e3b53f9b0f3cf6abb
Responses
200

OK

application/json
or
or
post/email_verify/list/cancel
POST /v2/email_verify/list/cancel HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "list_id": "5d076c8e3b53f9b0f3cf6abb"
}
{
  "status": "success",
  "data": {
    "name": "campaign_emailcontacts.xlsx",
    "source": "upload",
    "created_on": "2022-05-16 10:41:30.427Z"
  }
}

Get Email Verifier List

post

The Get Email Verifier List endpoint allows you to retrieve your Email Verifier bulk lists. It supports filtering results and utilizes cursor-based pagination for navigating through large sets of data

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
limitinteger · min: 1 · max: 100Optional

Number of records to fetch (max 100)

Default: 10Example: 10
start_afterstring · nullableOptional

Cursor for pagination.

  • Pass null for first request
  • Use page_info.last_cursor from previous response
Example: 69dd35c3b8933b51437ad3ab
Responses
200

Successfully retrieved email verifier list

application/json
post/email_verify/list
POST /v2/email_verify/list HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 131

{
  "limit": 10,
  "start_after": "69dd35c3b8933b51437ad3ab",
  "filter": {
    "date_range": "ps_this_month",
    "verified": "verified",
    "type": "upload"
  }
}
{
  "data": [
    {
      "list_id": "69dd35c3b8933b51437ad3ab",
      "name": "clearout_email_verifier_sample_list.csv",
      "type": "upload",
      "action_inprogress": {
        "action": "verify",
        "status": "in_progress"
      },
      "last_verified_on": "2026-04-13T20:10:00+01:00",
      "last_cancelled_on": "2026-04-13T20:00:00+01:00",
      "result_expires_on": 2591150892,
      "last_exported_on": "2026-04-13T21:00:00+01:00",
      "non_verified_list_expires_on": 2591150892,
      "last_analysed_on": "2026-04-13T19:45:00+01:00",
      "created_on": "2026-04-13T19:28:19+01:00"
    }
  ],
  "page_info": {
    "limit": 10,
    "has_more": false,
    "last_cursor": "69dd35c3b8933b51437ad3ab"
  }
}

Catch-All Verify

post

Verify email address for Catch-All, since certain servers accept all the emails for that domain and never bounces it back to the sender, those email addresses are flagged as catch-all emails

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
emailstringRequiredExample: mike.k@shopify.com
timeoutintegerOptionalExample: 10000
Responses
200

OK

application/json
or
post/email/verify/catchall
POST /v2/email/verify/catchall HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "email": "mike.k@shopify.com",
  "timeout": 10000
}
{
  "status": "success",
  "data": {
    "email_address": "mike.k@shopify.com",
    "catchall": "yes",
    "verified_on": "2019-08-24T20:20:51+05:30",
    "time_taken": 38
  }
}

Disposable Account Verify

post

Verify email address for Disposable, generally these email addresses live for short period of time and used for account activation or confirmation emails for sites like forums, e-shopping etc. so it is highly recommended not to send email to disposable addresses

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
emailstringRequiredExample: fokixaj486@feriwor.com
timeoutintegerOptionalExample: 10000
Responses
200

OK

application/json
or
post/email/verify/disposable
POST /v2/email/verify/disposable HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 50

{
  "email": "fokixaj486@feriwor.com",
  "timeout": 10000
}
{
  "status": "success",
  "data": {
    "email_address": "fokixaj486@feriwor.com",
    "catchall": "yes",
    "verified_on": "2019-08-24T20:20:51+05:30",
    "time_taken": 38
  }
}

Business Account Verify

post

Verify email address belongs to business (a.k.a work) account

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
emailstringRequiredExample: joel@buffer.com
timeoutintegerOptionalExample: 10000
Responses
200

OK

application/json
or
post/email/verify/business
POST /v2/email/verify/business HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "email": "joel@buffer.com",
  "timeout": 10000
}
{
  "status": "success",
  "data": {
    "email_address": "joel@buffer.com",
    "business_account": "yes",
    "verified_on": "2019-08-24T20:20:51+05:30",
    "time_taken": 38
  }
}

Free Account Verify

post

Verify email address for free mail service such as Gmail, Yahoo!, AOL, Mail.ru etc. In many cases, it is perfectly acceptable to send email to a user of a free email service. However, in certain contexts, businesses can receive better open/response rates when only sending to non-free / business email addresses

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
emailstringRequiredExample: mike@gmail.com
timeoutintegerOptionalExample: 10000
Responses
200

OK

application/json
or
post/email/verify/free
POST /v2/email/verify/free HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 42

{
  "email": "mike@gmail.com",
  "timeout": 10000
}
{
  "status": "success",
  "data": {
    "email_address": "mike@gmail.com",
    "business_account": "yes",
    "verified_on": "2019-08-24T20:20:51+05:30",
    "time_taken": 38
  }
}

Role Account Verify

post

Verify email address for role account, typically these addresses are associated with a role or group (postmaster, support, sales, etc.) account instead of a person. In some instances, mailing to a role address can lead to a decreased open rate and is generally advised against while sending an email

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
emailstringRequiredExample: hr@amazon.com
timeoutintegerOptionalExample: 10000
Responses
200

OK

application/json
or
post/email/verify/role
POST /v2/email/verify/role HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 41

{
  "email": "hr@amazon.com",
  "timeout": 10000
}
{
  "status": "success",
  "data": {
    "email_address": "hr@amazon.com",
    "business_account": "yes",
    "verified_on": "2019-08-24T20:20:51+05:30",
    "time_taken": 38
  }
}

Gibberish Account Verify

post

Verify email address for gibberish account, typically these addresses are not used by the genuine users, so its highly adviceable not to accept such email addresses

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
emailstringRequiredExample: asdfg@socialfrotier.com
timeoutintegerOptionalExample: 10000
Responses
200

OK

application/json
or
post/email/verify/gibberish
POST /v2/email/verify/gibberish HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "email": "asdfg@socialfrotier.com",
  "timeout": 10000
}
{
  "status": "success",
  "data": {
    "email_address": "asdfg@socialfrotier.com",
    "business_account": "yes",
    "verified_on": "2019-08-24T20:20:51+05:30",
    "time_taken": 38
  }
}

Get Available Credits

get

Instantly get to know the available credits.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

OK

application/json
statusstringOptional

Response Object status

Example: success
get/email_verify/getcredits
GET /v2/email_verify/getcredits HTTP/1.1
Host: api.clearout.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "status": "success",
  "data": {
    "available_credits": 114563,
    "credits": {
      "available": 114563,
      "subs": null,
      "available_daily_verify_limit": null,
      "reset_daily_verify_limit_date": "2019-03-04T18:30:00.000Z",
      "total": 114563
    },
    "low_credit_balance_min_threshold": 50
  }
}

Last updated

Was this helpful?